Debian Bug report logs - #624318
libatlas3-base: when the LAPACK alternative points to ATLAS, the BLAS alternative should always point to ATLAS

version graph

Package: libatlas3gf-base; Maintainer for libatlas3gf-base is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for libatlas3gf-base is src:atlas.

Reported by: "Jerome Robert" <jeromerobert@gmx.com>

Date: Wed, 27 Apr 2011 11:58:33 UTC

Severity: important

Merged with 576972, 598638, 638236, 676726, 684064

Found in versions atlas/3.8.3-27, atlas/3.8.4-3

Fix blocked by 521813: dpkg: [U-A] please allow hooks after selecting an alternative

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#624318; Package liblapack3gf. (Wed, 27 Apr 2011 11:58:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jerome Robert" <jeromerobert@gmx.com>:
New Bug report received and forwarded. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 27 Apr 2011 11:58:36 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Jerome Robert" <jeromerobert@gmx.com>
To: submit@bugs.debian.org
Subject: Subject: liblapack.so.3gf: undefined symbol: ATL_dGetNB
Date: Wed, 27 Apr 2011 11:57:53 +0000
Package: liblapack3gf
Version: 3.2.1-8
Severity: normal

Lapack depends on any libblas3gf and libatlas3gf-base but only works with libatlas3gf-base.
Here is what happen when running gmsh 2.5.0.dfsg-3:

$ sudo update-alternatives --set libblas.so.3gf /usr/lib/libblas/libblas.so.3gf
$ gmsh -2 /usr/share/doc/gmsh/tutorial/t1.geo 
Info    : Running 'gmsh -2 /usr/share/doc/gmsh/tutorial/t1.geo' [1 node(s), max. 8 thread(s)]
Info    : Started on Wed Apr 27 13:02:24 2011
Info    : Reading '/usr/share/doc/gmsh/tutorial/t1.geo'...
gmsh: symbol lookup error: /usr/lib/liblapack.so.3gf: undefined symbol: ATL_dGetNB

And also...

$ objdump -T /usr/lib/liblapack.so.3gf | grep ATL_ | wc -l
261

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages liblapack3gf depends on:
ii  debconf [debconf-2.0]        1.5.38      Debian configuration management sy
ii  libatlas3gf-base [libblas.so 3.8.3-30    Automatically Tuned Linear Algebra
ii  libblas3gf [libblas.so.3gf]  1.2-8       Basic Linear Algebra Reference imp
ii  libc6                        2.11.2-11   Embedded GNU C Library: Shared lib
ii  libgcc1                      1:4.6.0-2   GCC support library
ii  libgfortran3                 4.6.0-2     Runtime library for GNU Fortran ap
ii  libopenblas-base [libblas.so 0.1alpha1-2 Optimized BLAS (linear algebra) li

liblapack3gf recommends no packages.

liblapack3gf suggests no packages.

-- debconf information excluded




Bug reassigned from package 'liblapack3gf' to 'lapack'. Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Wed, 04 May 2011 16:03:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions lapack/3.2.1-8. Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Wed, 04 May 2011 16:03:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'lapack' to 'libatlas3gf-base'. Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Wed, 04 May 2011 16:09:13 GMT) Full text and rfc822 format available.

Forcibly Merged 598638 624318. Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Wed, 04 May 2011 16:09:14 GMT) Full text and rfc822 format available.

Forcibly Merged 576972 598638 624318. Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Thu, 09 Jun 2011 15:33:19 GMT) Full text and rfc822 format available.

Forcibly Merged 576972 598638 624318 638236. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 17 Aug 2011 22:45:09 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 17 Aug 2011 22:45:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#624318; Package libatlas3gf-base. (Wed, 21 Sep 2011 16:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steffen Möller <steffen_moeller@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 21 Sep 2011 16:57:06 GMT) Full text and rfc822 format available.

Message #24 received at 624318@bugs.debian.org (full text, mbox):

From: Steffen Möller <steffen_moeller@gmx.de>
To: 624318@bugs.debian.org
Subject: adjusting the alternatives until fix is out
Date: Wed, 21 Sep 2011 18:53:04 +0200
This removed the advert phenotype for me.
Steffen

# update-alternatives --config liblapack.so.3gf
There are 2 choices for the alternative liblapack.so.3gf (providing /usr/lib/liblapack.so.3gf).

  Selection    Path                                        Priority   Status
------------------------------------------------------------
* 0            /usr/lib/atlas-base/atlas/liblapack.so.3gf   35        auto mode
  1            /usr/lib/atlas-base/atlas/liblapack.so.3gf   35        manual mode
  2            /usr/lib/lapack/liblapack.so.3gf             10        manual mode

Press enter to keep the current choice[*], or type selection number: 2
update-alternatives: using /usr/lib/lapack/liblapack.so.3gf to provide /usr/lib/liblapack.so.3gf (liblapack.so.3gf) in manual mode.





Severity set to 'important' from 'serious' Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Mon, 11 Jun 2012 21:48:16 GMT) Full text and rfc822 format available.

Merged 576972 598638 624318 638236 676726 Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Mon, 11 Jun 2012 21:48:18 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Tue, 12 Jun 2012 06:27:06 GMT) Full text and rfc822 format available.

Marked as found in versions atlas/3.8.3-27. Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Wed, 13 Jun 2012 16:33:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 624318: 521813 Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Sat, 16 Jun 2012 07:54:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#624318; Package libatlas3gf-base. (Thu, 28 Jun 2012 09:18:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 28 Jun 2012 09:19:08 GMT) Full text and rfc822 format available.

Message #39 received at 624318@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien.villemot@ens.fr>
To: 576972@bugs.debian.org, 598638@bugs.debian.org, 624318@bugs.debian.org, 638236@bugs.debian.org, 676726@bugs.debian.org
Subject: Workaround implemented in atlas 3.8.4-8
Date: Thu, 28 Jun 2012 11:16:36 +0200
[Message part 1 (text/plain, inline)]
Hi,

It seems impossible to elegantly solve this bug without having hooks in
update-alternatives (a wishlist bug is filed for that).

In the meantime, a workaround has been implemented in order to minimize
the incidence of this bug.

Starting from version 3.8.4-8 of Atlas, the Lapack alternative provided
by Atlas has a lower priority than the one provided by Netlib's
reference Lapack. That means that the bug will never hit as long as the
alternatives are left in automatic mode (which is the default).

The downside is that one won't automatically benefit from the
optimizations made by Atlas into Lapack, unless the alternative is
manually modified.

The decision to implement this solution has been made jointly by
Sylvestre Ledru (maintainer), Julien Cristau (Release Team) and myself,
during the Debian Science Sprint kindly sponsored by ESRF, Grenoble,
France.

-- 
Sébastien Villemot
Researcher in Economics & Debian Maintainer
http://www.dynare.org/sebastien
Phone: +33-1-40-77-84-04 - GPG Key: 4096R/381A7594
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'libatlas3-base: when the LAPACK alternative points to ATLAS, the BLAS alternative should always point to ATLAS' from 'Subject: liblapack.so.3gf: undefined symbol: ATL_dGetNB' Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 15 Oct 2012 20:12:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Michael Gilbert <michael.s.gilbert@gmail.com> to 576972-submit@bugs.debian.org. (Mon, 19 Nov 2012 01:33:04 GMT) Full text and rfc822 format available.

Merged 576972 598638 624318 638236 676726 684064 Request was from Roberto C. Sanchez <roberto@connexer.com> to control@bugs.debian.org. (Mon, 23 Sep 2013 12:12:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:57:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.